"use strict";

exports.__esModule = true;
exports.default = Markup;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _Element = _interopRequireDefault(require("./Element"));

var _Parser = _interopRequireDefault(require("./Parser"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Markup(props) {
  var content = props.content,
      emptyContent = props.emptyContent,
      parsedContent = props.parsedContent,
      tagName = props.tagName;
  var tag = tagName || 'div';
  var mainContent;

  if (parsedContent) {
    mainContent = parsedContent;
  } else {
    var markup = new _Parser.default(content || '', props).parse();

    if (markup.length > 0) {
      mainContent = markup;
    }
  }

  if (!mainContent) {
    mainContent = emptyContent;
  }

  if (tag === 'fragment') {
    return _react.default.createElement(_react.default.Fragment, null, mainContent);
  }

  return _react.default.createElement(_Element.default, {
    tagName: tag
  }, mainContent);
}

Markup.propTypes = {
  content: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.oneOf([null])]),
  emptyContent: _propTypes.default.node,
  parsedContent: _propTypes.default.node,
  tagName: _propTypes.default.oneOfType([_propTypes.default.oneOf(['fragment']), _propTypes.default.string])
};