"use strict";

exports.__esModule = true;
var _exportNames = {
  InterweaveProps: true,
  Markup: true,
  MarkupProps: true,
  Filter: true,
  FilterInterface: true,
  ElementAttributes: true,
  Matcher: true,
  MatcherInterface: true,
  Element: true,
  Parser: true
};
exports.default = void 0;

var _Interweave = _interopRequireWildcard(require("./Interweave"));

exports.InterweaveProps = _Interweave.InterweaveProps;

var _Markup = _interopRequireWildcard(require("./Markup"));

exports.Markup = _Markup.default;
exports.MarkupProps = _Markup.MarkupProps;

var _Filter = _interopRequireWildcard(require("./Filter"));

exports.Filter = _Filter.default;
exports.FilterInterface = _Filter.FilterInterface;
exports.ElementAttributes = _Filter.ElementAttributes;

var _Matcher = _interopRequireWildcard(require("./Matcher"));

exports.Matcher = _Matcher.default;
exports.MatcherInterface = _Matcher.MatcherInterface;

var _Element = _interopRequireDefault(require("./Element"));

exports.Element = _Element.default;

var _Parser = _interopRequireDefault(require("./Parser"));

exports.Parser = _Parser.default;

var _constants = require("./constants");

Object.keys(_constants).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  exports[key] = _constants[key];
});

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  exports[key] = _types[key];
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * @copyright   2016-2019, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 */
var _default = _Interweave.default;
exports.default = _default;