import React from 'react';
export declare type Node = null | string | React.ReactElement<unknown>;
export declare type ChildrenNode = string | Node[];
export interface NodeConfig {
    children: string[];
    content: number;
    invalid: string[];
    parent: string[];
    self: boolean;
    tagName: string;
    type: number;
    void: boolean;
}
export declare type AttributeValue = string | number | boolean | object;
export interface Attributes {
    [attr: string]: AttributeValue;
}
export declare type AfterParseCallback<T> = (content: Node[], props: T) => Node[];
export declare type BeforeParseCallback<T> = (content: string, props: T) => string;
export declare type TransformCallback = (node: HTMLElement, children: Node[], config: NodeConfig) => React.ReactNode;
export declare type MatchCallback<T> = (matches: string[]) => T;
export declare type MatchResponse<T> = T & {
    index: number;
    length: number;
    match: string;
    valid: boolean;
};
export interface ConfigMap {
    [key: string]: Partial<NodeConfig>;
}
export interface FilterMap {
    [key: string]: number;
}
//# sourceMappingURL=types.d.ts.map